package com.yeejoin.amos.fas.business.dao.mapper;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

public interface AccidentTypeMapper extends BaseMapper {

	long countPageData(CommonPageInfoParam param);

	List<HashMap<String, Object>> queryAccidentTypePage(CommonPageInfoParam param);
	
	List<HashMap<String, Object>> findAccidentTypePage(CommonPageInfoParam param);

	List<HashMap<String, Object>> findAccidentTypeListByOrgCode(@Param("orgCode")String orgCode);

}
